## mbedtls 2.16.11

=== debian/changelog ===
mbedtls (2.16.11-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #953143).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Nov 2021 22:30:00 +0100

mbedtls (2.16.11-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * Enable CMAC support. Closes: #994681
    - Updated libmbedcrypto3.symbols
  * d/control: Bump Standards-Version to 4.6.0
  * d/control: Use debhelper-compat (= 13)
  * d/rules: use scripts/config.pl instead of manually editing config.h
  * d/rules: add -DENABLE_PROGRAMS=OFF to skip building not installed binaries
  * Add debian/upstream/metadata file

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 17 Nov 2021 17:08:07 +0100
